import Stack from '@mui/material/Stack';
import IconButton from '@mui/material/IconButton';
import SearchIcon from '@mui/icons-material/Search';
import { makeStyles } from '@material-ui/core'
import { useDispatch } from 'react-redux';

import MenuList from './MenuList'
import { actionIsOpen } from '../../../../../redux/controlApp/action'

const useStyles = makeStyles({
  container: {
    marginLeft:20
  }
})

const Buttons = () => {
  const classes = useStyles()
  const dispatch = useDispatch()
  return (
    <Stack className={classes.container} direction="row" spacing={1}>
      <IconButton onClick={() => dispatch(actionIsOpen('search'))} aria-label="delete" size="medium">
        <SearchIcon fontSize='medium'/>
      </IconButton>
      <MenuList/>
    </Stack>
  );
}

export default Buttons