import ListItemButton from '@mui/material/ListItemButton';
import Avatar from '@mui/material/Avatar';
import ListItemText from '@mui/material/ListItemText';
import ListItemIcon from '@mui/material/ListItemIcon';
import { useDispatch } from 'react-redux';

import { actionIsOpen } from '../../../../../redux/controlApp/action'
const contact = [{
  avatarUrl: 'https://www.seekpng.com/png/full/114-1149126_apple-clipart-black-and-white-image-small-clip.png',
  name: 'Grigore',
  lastName:'Helena',
  message: 'Hello'
}]

const Credentials = () => {
  const dispatch = useDispatch()
  const data = new Date(2022, 3, 8).toLocaleString("en-US", {
    year:'numeric',
    month: 'short',
    day: 'numeric'
  });

  const firstLetter = (word: string) => word.slice(0, 1).toUpperCase()
  const slicedWord = (word: string, max: number, from: number = 0) =>
    word.length < max ? word.slice(from) : word.slice(from, max)
  const {avatarUrl,name,lastName }:any = contact[0]
  return (
    <ListItemButton onClick={() => dispatch(actionIsOpen('credentials'))}>
      <ListItemIcon >
        <Avatar alt={name} src={avatarUrl?avatarUrl:undefined}
              sx={{ background: '#f0c712', width: 44, height: 44 }}>
              {!avatarUrl&&`${firstLetter(name)}${firstLetter(lastName)}`}
          </Avatar>
      </ListItemIcon> 
      <ListItemText primary={`${firstLetter(name)}${slicedWord(name, 15, 1)}
            ${firstLetter(lastName)}${slicedWord(lastName, 15, 1)}`} secondary={data} />        
    </ListItemButton>
  );
}

export default Credentials